Get list of all existing stopwatches
GET
/user/stopwatches
const url = 'https://gitea.example.com/api/v1/user/stopwatches';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/user/stopwatches \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”StopWatchList
Media typeapplication/json
Array<object>
StopWatch represent a running stopwatch
object
created
string format: date-time
duration
string
issue_index
integer format: int64
issue_title
string
repo_name
string
repo_owner_name
string
seconds
integer format: int64
Examplegenerated
[ { "created": "2026-04-15T12:00:00Z", "duration": "example", "issue_index": 1, "issue_title": "example", "repo_name": "example", "repo_owner_name": "example", "seconds": 1 }]